SHA256
1
0
forked from pool/fetchmail

- Made the helper script introduced in last change return exit status

5 on configuration errors instead of 1, which should make it a bit
  less confusing (bsc#979534)

OBS-URL: https://build.opensuse.org/package/show/server:mail/fetchmail?expand=0&rev=68
This commit is contained in:
P. Janouch 2016-05-13 12:12:11 +00:00 committed by Git OBS Bridge
parent bcebcfef5e
commit 60bce8b149
2 changed files with 9 additions and 2 deletions

View File

@ -1,3 +1,10 @@
-------------------------------------------------------------------
Fri May 13 12:06:54 UTC 2016 - pjanouch@suse.de
- Made the helper script introduced in last change return exit status
5 on configuration errors instead of 1, which should make it a bit
less confusing (bsc#979534)
-------------------------------------------------------------------
Fri Apr 8 12:20:27 UTC 2016 - pjanouch@suse.de

View File

@ -3,13 +3,13 @@
die() {
echo "$@" 1>&2
exit 1
exit 5 # closest thing among fetchmail's exit codes
}
echo "$FETCHMAIL_POLLING_INTERVAL" | grep -Eq '^[0-9]+$' \
|| die 'invalid $FETCHMAIL_POLLING_INTERVAL setting'
[ -r "$FETCHMAIL_RC_PATH" ] \
|| die '$FETCHMAIL_RC_PATH does not exist'
|| die '$FETCHMAIL_RC_PATH does not exist or cannot be read'
OPTS="-d $FETCHMAIL_POLLING_INTERVAL"
[ "$FETCHMAIL_FETCHALL" = "yes" ] && OPTS="$OPTS -a"